/*******************************************************************************
 * Copyright 2014 Centre for Development of Advanced Computing(C-DAC), Pune
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package in.cdac.medinfo.csnotk.csnolib.model;

/** 
 *This class is used for finding descendant
 */ 
public class RelationshipTC{
	/**
	 * represent parent id of the relationships_tc.
	 */
	private String parentId;
	/**
	 * Child concept of the relationships_tc.
	 */
	private Concept childConcept;
	/**
	 * Count of all descendant Children concept of the relationships_tc.
	 */
	private int countOfChildrens ;
	/**
	 * Is Immediate Children concept of the relationships_tc.
	 */
	private int isImmediateChildren ;
	
	public int getCountOfChildrens() {
		return countOfChildrens;
	}

	public void setCountOfChildrens(int countOfChildrens) {
		this.countOfChildrens = countOfChildrens;
	}

	public int getIsImmediateChildren() {
		return isImmediateChildren;
	}

	public void setIsImmediateChildren(int isImmediateChildren) {
		this.isImmediateChildren = isImmediateChildren;
	}


	/**
	 * Default constructor.
	 */
	public RelationshipTC(){
	}
	
	
	public RelationshipTC(String parentId,Concept childIdconcept){
		this.parentId=parentId;
		this.childConcept=childIdconcept;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public Concept getChildConcept() {
		return childConcept;
	}

	public void setChildConcept(Concept childConcept) {
		this.childConcept = childConcept;
	}

}
